curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": 0,
"name": "<string>",
"itemCapabilities": {
"descriptions": true,
"onlineShopActivation": true,
"prices": true,
"specialPrices": true,
"images": true
},
"categoryCapabilities": {
"descriptions": true,
"onlineShopActivation": true
},
"documentationUrl": "<string>",
"detailUrl": "<string>"
}Delivers a single sales channel with the available endpoints by its id.
Delivers a single sales channel with the available endpoints by its id.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Response
A single sales channel with the available endpoints.
Unique ID to identify a sales channel.
Type of the sales channel.
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Name of the sales channel, e.g. eBay.de, amazon.uk, myshop.de.
Indicates which parts of items can be manipulated for a specific sales channel via REST-API.
Show child attributes
Show child attributes
Indicates which parts of categories can be manipulated for a specific sales channel via REST-API.
Show child attributes
Show child attributes
URL for the documentation of the available endpoints for this specific sales channel.
Machine-readable, type-specific URL of the detail endpoint for this specific sales channel.
Was this page helpful?